cancel
Showing results for 
Search instead for 
Did you mean: 
Create a Post

ETA on R80.10 for Sandblast Appliances

Jump to solution

We own a TE100X Sandblast Threat Emulation Appliance and it is our last product running R77.30.

We would really like to upgrade to R80.10 here, but although it lets me install R80.10 as upgrade  or fresh install on the Appliance, emulations wont work anymore:

Initialization process of Threat Emulation advisors failed.

[7838 4089317328][7 Jun 16:49:28] [TE_TRACE]: daemon reconf (AMW) [7838 4089317328][7 Jun 16:49:28] [TE_TRACE (TD::Important)] te::URLInvestigator::DoReconf: proxy is: xxx.xxx.xxx.xxx:8080 [7838 4089317328][7 Jun 16:49:28] [TE (TD::Surprise)] te::AdvisoryInvestigator::AddAdvisor: Failed to init advisor 5 [7838 4089317328][7 Jun 16:49:28] [TE (TD::Surprise)] te::AdvisoryInvestigator::PrepareAllAdvisors: Failed to prepare the BD advisor [7838 4089317328][7 Jun 16:49:28] [TE_TRACE]: loading executable analyzer configuration (revision: 541187) [7838 4089317328][7 Jun 16:49:28] [TE (TD::Surprise)] te::AdvisoryInvestigator::AddAdvisor: Failed to init advisor 5 [7838 4089317328][7 Jun 16:49:28] [TE (TD::Surprise)] te::AdvisoryInvestigator::PrepareAllAdvisors: Failed to prepare the BD advisor [7838 4089317328][7 Jun 16:49:28] [TE (TD::Surprise)] te::EngineUpdates::SendCurrentUpdateRevision: Did not read revision file: /opt/CPsuite-R80/fw1/teCurrentPack/revision_data Not necessity an error [7838 4089317328][7 Jun 16:49:28] [TE_TRACE]: Don't ask Update file repository to save some version

As Upgrade Wizard does not contain R80 for Sandblast either, I assume it wasn't officially released for TE-X?

0 Kudos
1 Solution

Accepted Solutions

Re: ETA on R80.10 for Sandblast Appliances

Jump to solution

just to inform the others waiting for R80.10:

I have it up and running using latest Take 35 and engine version 54.990001557

It needs some new src:APIPA dst:APIPA roles and you will want to edit /opt/CPUserCheckPortal/scripts/configure_scrub_web_service.sh as described in sk118353 so you should consider using an extended maintenance window for the upgrade or reinstall (upgrade worked fine for us)

View solution in original post

0 Kudos
8 Replies
Admin
Admin

Re: ETA on R80.10 for Sandblast Appliances

Jump to solution

You are correct, R80.10 is not released for the TE appliances.

That said, most of the functionality that R80.10 provides is not entirely relevant on emulation appliances.

0 Kudos

Re: ETA on R80.10 for Sandblast Appliances

Jump to solution

I wouldn't mind running it with R77.30, but I cannot get rid of the R77 Threat Prevention Policies that way, as you must not have any managed R77 Systems in the console to be able to switch to R80 policies.

I just ask for an ETA to schedule my project...

Re: ETA on R80.10 for Sandblast Appliances

Jump to solution

just to inform the others waiting for R80.10:

I have it up and running using latest Take 35 and engine version 54.990001557

It needs some new src:APIPA dst:APIPA roles and you will want to edit /opt/CPUserCheckPortal/scripts/configure_scrub_web_service.sh as described in sk118353 so you should consider using an extended maintenance window for the upgrade or reinstall (upgrade worked fine for us)

View solution in original post

0 Kudos
Admin
Admin

Re: ETA on R80.10 for Sandblast Appliances

Jump to solution

It's worth noting this is considered "Early Availability" at this point (see version 6.8.1 here): Threat Emulation Engine Update - What's New? 

If you are using a Threat Emulation appliance with R80.10, R&D would love the feedback.

0 Kudos
Highlighted

Re: ETA on R80.10 for Sandblast Appliances

Jump to solution

Hi there,

are there any news on a release date for R80.10 GA for the TE appliances?

Our 2 TE1000X are the last systems running R77.30, and I would really like to use the new reports, but can't risk it in my production environment with EA builds.

0 Kudos

Re: ETA on R80.10 for Sandblast Appliances

Jump to solution

Sadly, it looks like these appliances currently do not officially support R80.10 at all 😞

You can consult the Appliance Support page at Life Cycle Policy Page:

TE1000XSupported Software VersionsR77.30

Same is true of R80.10 Gaia Fresh Install page and R80.10 Fresh Install and Upgrade from R7X, the model just does not show...

0 Kudos

Re: ETA on R80.10 for Sandblast Appliances

Jump to solution

Funny enough, on my TE1000X Appliance, the R80.10 Fresh Install and Update does show up.

But I guess I would run into trouble with my emulation environment etc. on update.

te1000x to R80.10

I hope the GA for these types will be added soon, as the EA seems to be working since September last year.

0 Kudos

Re: ETA on R80.10 for Sandblast Appliances

Jump to solution

we have it running on 80.10 for 6 months without major issues now (just make sure, you have the latest engine, see my post above)

0 Kudos